# RSL_wsr88d_keep_short_refl

### Synopsis

#include "rsl.h"
void RSL_wsr88d_keep_short_refl(void);

###

Description

Calling this function instructs the WSR-88D Level II ingest to keep short-range reflectivity collected in the velocity portion of a split cut. Normally this short-range reflectivity is discarded. Calling this function also changes how split cuts are handled in the Radar structure and when writing to UF. Split cut surveillance and Dopper sweeps are normally placed in the same sweep index in the Radar structure, as though they were taken in a single sweep, so that reflectivity (long-range), radial velocity, and spectrum width are at the same sweep index. If RSL_wsr88d_keep_short_refl is called, each individual sweep of a split cut is stored at a separate index, so for example, the first sweep contains only long-range reflectivity (and dual-pol fields if present), and the second sweep contains short-range reflectivity, radial velocity, and spectrum width. This pattern is repeated with the remaining split cuts. If a UF is produced, the split cuts are written in like manner.

### Return value

None.